<!--
SPDX-FileCopyrightText: 2020
- Kotyba Alhaj Taha <kotyba.alhaj-taha@ufz.de>
- Helmholtz Centre for Environmental Research GmbH - UFZ (UFZ, https://www.ufz.de)

SPDX-License-Identifier: EUPL-1.2
-->

| Name                | Version    | License                    | Author                        | URL                                                     | Description                                                                                                                                                                        |
|---------------------|------------|----------------------------|-------------------------------|---------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Flask               | 1.1.2      | BSD-3-Clause               | Armin Ronacher                | https://palletsprojects.com/p/flask/                    | A simple framework for building complex web applications.                                                                                                                          |
| Flask-Cors          | 3.0.8      | MIT                        | Cory Dolphin                  | https://github.com/corydolphin/flask-cors               | A Flask extension adding a decorator for CORS support                                                                                                                              |
| Flask-REST-JSONAPI  | 0.30.1     | MIT                        | miLibris API Team             | https://github.com/miLibris/flask-rest-jsonapi          | Flask extension to create REST web api according to JSONAPI 1.0 specification with Flask, Marshmallow and data provider of your choice (SQLAlchemy, MongoDB, ...)                  |
| Flask-SQLAlchemy    | 2.4.1      | BSD-3-Clause               | Armin Ronacher                | https://github.com/pallets/flask-sqlalchemy             | Adds SQLAlchemy support to your Flask application.                                                                                                                                 |
| Flask-Testing       | 0.8.0      | BSD                        | Dan Jacob                     | https://github.com/jarus/flask-testing                  | Unit testing for Flask                                                                                                                                                             |
| Jinja2              | 2.11.2     | BSD-3-Clause               | Armin Ronacher                | https://palletsprojects.com/p/jinja/                    | A very fast and expressive template engine.                                                                                                                                        |
| MarkupSafe          | 1.1.1      | BSD-3-Clause               | Armin Ronacher                | https://palletsprojects.com/p/markupsafe/               | Safely add untrusted strings to HTML/XML markup.                                                                                                                                   |
| PTable              | 0.9.2      | BSD (3 clause)             | Luke Maurits                  | https://github.com/kxxoling/PTable                      | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format                                                                              |
| SQLAlchemy          | 1.3.16     | MIT                        | Mike Bayer                    | http://www.sqlalchemy.org                               | Database Abstraction Library                                                                                                                                                       |
| Werkzeug            | 1.0.1      | BSD-3-Clause               | Armin Ronacher                | https://palletsprojects.com/p/werkzeug/                 | The comprehensive WSGI web application library.                                                                                                                                    |
| certifi             | 2020.4.5.1 | MPL-2.0                    | Kenneth Reitz                 | https://certifiio.readthedocs.io/en/latest/             | Python package for providing Mozilla's CA Bundle.                                                                                                                                  |
| chardet             | 3.0.4      | LGPL                       | Daniel Blanchard              | https://github.com/chardet/chardet                      | Universal encoding detector for Python 2 and 3                                                                                                                                     |
| click               | 7.1.1      | BSD-3-Clause               | UNKNOWN                       | https://palletsprojects.com/p/click/                    | Composable command line interface toolkit                                                                                                                                          |
| coverage            | 5.1        | Apache 2.0                 | Ned Batchelder and 131 others | https://github.com/nedbat/coveragepy                    | Code coverage measurement for Python                                                                                                                                               |
| entrypoints         | 0.3        | UNKNOWN                    | Thomas Kluyver                | https://github.com/takluyver/entrypoints                | Discover and load entry points from installed packages.                                                                                                                            |
| flake8              | 3.7.9      | MIT                        | Tarek Ziade                   | https://gitlab.com/pycqa/flake8                         | the modular source code checker: pep8, pyflakes and co                                                                                                                             |
| future              | 0.18.2     | MIT                        | Ed Schofield                  | https://python-future.org                               | Clean single-source support for Python 3 and 2                                                                                                                                     |
| gunicorn            | 20.0.4     | MIT                        | Benoit Chesneau               | http://gunicorn.org                                     | WSGI HTTP Server for UNIX                                                                                                                                                          |
| idna                | 2.9        | BSD-like                   | Kim Davies                    | https://github.com/kjd/idna                             | Internationalized Domain Names in Applications (IDNA)                                                                                                                              |
| itsdangerous        | 1.1.0      | BSD                        | Armin Ronacher                | https://palletsprojects.com/p/itsdangerous/             | Various helpers to pass data to untrusted environments and back.                                                                                                                   |
| marshmallow         | 2.18.0     | MIT                        | Steven Loria                  | https://github.com/marshmallow-code/marshmallow         | A lightweight library for converting complex datatypes to and from native Python datatypes.                                                                                        |
| marshmallow-jsonapi | 0.23.1     | MIT                        | Steven Loria                  | https://github.com/marshmallow-code/marshmallow-jsonapi | JSON API 1.0 (https://jsonapi.org) formatting with marshmallow                                                                                                                     |
| mccabe              | 0.6.1      | Expat license              | Ian Cordasco                  | https://github.com/pycqa/mccabe                         | McCabe checker, plugin for flake8                                                                                                                                                  |
| pip                 | 9.0.1      | MIT                        | The pip developers            | https://pip.pypa.io/                                    | The PyPA recommended tool for installing Python packages.                                                                                                                          |
| pip-licenses        | 2.2.0      | MIT License                | raimon                        | https://github.com/raimon49/pip-licenses                | Dump the software license list of Python packages installed with pip.                                                                                                              |
| pkg-resources       | 0.0.0      | UNKNOWN                    | UNKNOWN                       | UNKNOWN                                                 | UNKNOWN                                                                                                                                                                            |
| psycopg2            | 2.8.5      | LGPL with exceptions       | Federico Di Gregorio          | https://psycopg.org/                                    | psycopg2 - Python-PostgreSQL Database Adapter                                                                                                                                      |
| pycodestyle         | 2.5.0      | Expat license              | Ian Lee                       | https://pycodestyle.readthedocs.io/                     | Python style guide checker                                                                                                                                                         |
| pycryptodomex       | 3.9.7      | BSD, Public Domain, Apache | Helder Eijs                   | https://www.pycryptodome.org                            | Cryptographic library for Python                                                                                                                                                   |
| pyflakes            | 2.1.1      | MIT                        | A lot of people               | https://github.com/PyCQA/pyflakes                       | passive checker of Python programs                                                                                                                                                 |
| pyjwkest            | 1.4.2      | Apache 2.0                 | Roland Hedberg                | UNKNOWN                                                 | Python implementation of JWT, JWE, JWS and JWK                                                                                                                                     |
| requests            | 2.23.0     | Apache 2.0                 | Kenneth Reitz                 | https://requests.readthedocs.io                         | Python HTTP for Humans.                                                                                                                                                            |
| setuptools          | 39.0.1     | UNKNOWN                    | Python Packaging Authority    | https://github.com/pypa/setuptools                      | Easily download, build, install, upgrade, and uninstall Python packages                                                                                                            |
| six                 | 1.14.0     | MIT                        | Benjamin Peterson             | https://github.com/benjaminp/six                        | Python 2 and 3 compatibility utilities                                                                                                                                             |
| urllib3             | 1.25.9     | MIT                        | Andrey Petrov                 | https://urllib3.readthedocs.io/                         | HTTP library with thread-safe connection pooling, file post, and more.                                                                                                             |